<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/vectors/include/vectors.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('vectors_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">vectors.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="vectors_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 2/21/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_VECTORS_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_VECTORS_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="vec2_8h.html">vec2.h</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="vec3_8h.html">vec3.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="vec4_8h.html">vec4.h</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifdef VEC_IMPORT</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="vectors_8h.html#a77366c1bd428629dc898e188bfd182a3">   15</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">   18</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_v_e_c.html">VEC</a> <a class="code" href="struct_v_e_c.html">VecClass</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="vectors_8h.html#ae4046f062095249978b78bcaa8e42c54">   19</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_v_e_c_l_i_s_t.html">VECLIST</a> <a class="code" href="struct_v_e_c_l_i_s_t.html">VecListClass</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_v_e_c_l_i_s_t.html">   21</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_v_e_c_l_i_s_t.html">VECLIST</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_v_e_c_l_i_s_t.html#a0399eb78125961fc22085d4aac6b0d15">   22</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">class</span>; <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_v_e_c_l_i_s_t.html#a439227feff9d7f55384e8780cfc2eb82">   23</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_v_e_c_l_i_s_t.html#a439227feff9d7f55384e8780cfc2eb82">size</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="struct_v_e_c_l_i_s_t.html#aa11799c06f6657976df502cff216088e">   25</a></span>&#160;    <a class="code" href="struct_v_e_c.html">VecClass</a> *<a class="code" href="struct_v_e_c_l_i_s_t.html#aa11799c06f6657976df502cff216088e">start</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="struct_v_e_c_l_i_s_t.html#a3e2e21dc4e172d02cc4396b2f5a187ac">   26</a></span>&#160;    <a class="code" href="struct_v_e_c.html">VecClass</a> *<a class="code" href="struct_v_e_c_l_i_s_t.html#a3e2e21dc4e172d02cc4396b2f5a187ac">end</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;};</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="struct_v_e_c.html">   29</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_v_e_c.html">VEC</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="struct_v_e_c.html#a0399eb78125961fc22085d4aac6b0d15">   30</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> * <span class="keyword">class</span>; <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="struct_v_e_c.html#ac5d37d2bd259acaf98a8d169904966d0">   31</a></span>&#160;    <span class="keywordtype">void</span> *<a class="code" href="struct_v_e_c.html#ac5d37d2bd259acaf98a8d169904966d0">element</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="struct_v_e_c.html#a75b19ffcca77bfc647ff02695958fd95">   32</a></span>&#160;    <span class="keywordtype">void</span> *<a class="code" href="struct_v_e_c.html#a75b19ffcca77bfc647ff02695958fd95">next</a>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;};</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="vectors_8h.html#ab9955d1a98575dd9b74455319fad0ed8">   35</a></span>&#160;<a class="code" href="vectors_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="vectors_8h.html#ab9955d1a98575dd9b74455319fad0ed8">VecList</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="vectors_8h.html#acd93029bbe021e787fefaf6d9c8a24f4">   36</a></span>&#160;<a class="code" href="vectors_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="vectors_8h.html#acd93029bbe021e787fefaf6d9c8a24f4">Vec</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#undef VEC_IMPORT</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_VECTORS_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_v_e_c_html_ac5d37d2bd259acaf98a8d169904966d0"><div class="ttname"><a href="struct_v_e_c.html#ac5d37d2bd259acaf98a8d169904966d0">VEC::element</a></div><div class="ttdeci">void * element</div><div class="ttdef"><b>Definition:</b> vectors.h:31</div></div>
<div class="ttc" id="avectors_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="vectors_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> vectors.h:15</div></div>
<div class="ttc" id="astruct_v_e_c_l_i_s_t_html_a439227feff9d7f55384e8780cfc2eb82"><div class="ttname"><a href="struct_v_e_c_l_i_s_t.html#a439227feff9d7f55384e8780cfc2eb82">VECLIST::size</a></div><div class="ttdeci">int size</div><div class="ttdef"><b>Definition:</b> vectors.h:23</div></div>
<div class="ttc" id="astruct_v_e_c_l_i_s_t_html"><div class="ttname"><a href="struct_v_e_c_l_i_s_t.html">VECLIST</a></div><div class="ttdef"><b>Definition:</b> vectors.h:21</div></div>
<div class="ttc" id="avec4_8h_html"><div class="ttname"><a href="vec4_8h.html">vec4.h</a></div></div>
<div class="ttc" id="avec2_8h_html"><div class="ttname"><a href="vec2_8h.html">vec2.h</a></div></div>
<div class="ttc" id="avec3_8h_html"><div class="ttname"><a href="vec3_8h.html">vec3.h</a></div></div>
<div class="ttc" id="astruct_v_e_c_l_i_s_t_html_aa11799c06f6657976df502cff216088e"><div class="ttname"><a href="struct_v_e_c_l_i_s_t.html#aa11799c06f6657976df502cff216088e">VECLIST::start</a></div><div class="ttdeci">VecClass * start</div><div class="ttdef"><b>Definition:</b> vectors.h:25</div></div>
<div class="ttc" id="astruct_v_e_c_html"><div class="ttname"><a href="struct_v_e_c.html">VEC</a></div><div class="ttdef"><b>Definition:</b> vectors.h:29</div></div>
<div class="ttc" id="avectors_8h_html_acd93029bbe021e787fefaf6d9c8a24f4"><div class="ttname"><a href="vectors_8h.html#acd93029bbe021e787fefaf6d9c8a24f4">Vec</a></div><div class="ttdeci">const EXTERN void * Vec</div><div class="ttdef"><b>Definition:</b> vectors.h:36</div></div>
<div class="ttc" id="astruct_v_e_c_l_i_s_t_html_a3e2e21dc4e172d02cc4396b2f5a187ac"><div class="ttname"><a href="struct_v_e_c_l_i_s_t.html#a3e2e21dc4e172d02cc4396b2f5a187ac">VECLIST::end</a></div><div class="ttdeci">VecClass * end</div><div class="ttdef"><b>Definition:</b> vectors.h:26</div></div>
<div class="ttc" id="astruct_v_e_c_html_a75b19ffcca77bfc647ff02695958fd95"><div class="ttname"><a href="struct_v_e_c.html#a75b19ffcca77bfc647ff02695958fd95">VEC::next</a></div><div class="ttdeci">void * next</div><div class="ttdef"><b>Definition:</b> vectors.h:32</div></div>
<div class="ttc" id="avectors_8h_html_ab9955d1a98575dd9b74455319fad0ed8"><div class="ttname"><a href="vectors_8h.html#ab9955d1a98575dd9b74455319fad0ed8">VecList</a></div><div class="ttdeci">const EXTERN void * VecList</div><div class="ttdef"><b>Definition:</b> vectors.h:35</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_89bdf067371fcc05d61731882aedfe8c.html">vectors</a></li><li class="navelem"><a class="el" href="dir_fb7a5df2649ea5473d39753942f36db6.html">include</a></li><li class="navelem"><a class="el" href="vectors_8h.html">vectors.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
